## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           faketpm
Version:        0.0.1
Release:        %autorelease
Summary:        Fake TPM for systems that lack a real one

License:        BSD-3-Clause
URL:            https://github.com/davide125/faketpm
Source:         %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  bzip2
BuildRequires:  make
BuildRequires:  selinux-policy-devel
BuildRequires:  systemd-rpm-macros

Requires:       kmod
Requires:       swtpm
Requires:       (%{name}-selinux = %{version}-%{release} if selinux-policy)

BuildArch:      noarch

%description
This project provides a fake Trusted Platform Module (TPM) for systems that
lack a real one. To do so it leverages SWTPM, a software TPM emulator.

%package        selinux
Summary:        SELinux module for %{name}

Requires(pre):  libselinux-utils
Requires(post): libselinux-utils
Requires(post): policycoreutils
Requires(post): selinux-policy-base
Requires(post): swtpm-selinux

%description    selinux
This package provides the SELinux policy module to ensure %{name}
runs properly under an environment with SELinux enabled.

%prep
%autosetup -p1

%build
%make_build

%install
%make_install DATADIR="%{_datadir}" UNITDIR="%{_unitdir}"

mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%pre selinux
%selinux_relabel_pre

%post selinux
%selinux_modules_install %{_datadir}/selinux/packages/%{name}.pp.bz2
%selinux_relabel_post

%posttrans selinux
%selinux_relabel_post

%postun selinux
%selinux_modules_uninstall %{name}
if [ $1 -eq 0 ]; then
    %selinux_relabel_post
fi

%files
%license LICENSE
%doc README.md
%attr(0750, tss,root) %dir %{_localstatedir}/lib/%{name}/
%{_unitdir}/%{name}.service

%files selinux
%license LICENSE
%{_datadir}/selinux/devel/include/contrib/%{name}.if
%{_datadir}/selinux/packages/%{name}.pp.bz2

%changelog
## START: Generated by rpmautospec
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jun 12 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.0.1-4
- Update PackIt to allow builds and updates from committers

* Wed Jun 12 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.0.1-3
- Add PackIt config for releases

* Sun May 26 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.0.1-2
- Tighten permissions for the TPM state

* Fri May 24 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.0.1-1
- Initial import; Fixes: RHBZ#2283158
## END: Generated by rpmautospec
